Package: org.codehaus.groovy.tools.shell.util

## [Java] Class MessageSource

- org.codehaus.groovy.tools.shell.util.MessageSource

-     public class MessageSource
      extends GroovyObjectSupport

  Message source backed up by one or more ResourceBundle instances for simple i18n support.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MessageSource(String[] names)`
    `MessageSource(String name)`
    `MessageSource(Class[] types)`
    `MessageSource(Class type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `format(String code, Object[] args)` Format a message (based on MessageFormat) using the message from the resource bundles using the given code as a pattern and the given objects as arguments.
    `` | `public String` | `getMessage(String code)` Get a raw message from the resource bundles using the given code.
    `` | `public Object` | `getProperty(String name)` See Also: getMessage(String)

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public MessageSource(String[] names)

    - #### public MessageSource(String name)

    - #### public MessageSource(Class[] types)

    - #### public MessageSource(Class type)

  - ### Method Detail

    - #### public String format(String code, Object[] args)

      Format a message (based on MessageFormat) using the message from the resource bundles using the given code as a pattern and the given objects as arguments.

    - #### public String getMessage(String code)

      Get a raw message from the resource bundles using the given code.

    - #### @Override
      public Object getProperty(String name)

      See Also:
        getMessage(String)